Skip to main content
GET
/
v1
/
extracts
List extracts
curl --request GET \
  --url https://api.plane.com/v1/extracts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.plane.com/v1/extracts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.plane.com/v1/extracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "extr_9XkQw2NvR4pYtJ",
      "object": "extract",
      "workspace": null,
      "source": { "object": "legal.provision", "id": "lpv_7RmKw3QvT9pXsL" },
      "jurisdiction": { "country": "GB" },
      "quote": "not less than one week's notice",
      "language": "en",
      "url": "https://manage.plane.com/extracts/extr_9XkQw2NvR4pYtJ",
      "created": "2026-06-13T00:00:00Z",
      "updated": "2026-06-13T00:00:00Z"
    }
  ],
  "has_more": false
}

Parameters

source
string
Legal source ID to filter by.
eid
string
Normalized provision eid to filter by. Requires source.
provision
string
Stable provision ID, prefixed lpv_, to filter by.
country
string
Country code for the legal source jurisdiction.
state
string
State or subdivision code for the legal source jurisdiction.
limit
number
A limit on the number of objects to be returned. Limit can range between 1 and 100.
cursor
string
Opaque pagination cursor.

Returns

Returns the platform list envelope with object, data, and has_more. When has_more is true the envelope also includes cursor, the opaque token to pass as cursor on the next request. data contains extract objects.
{
  "object": "list",
  "data": [
    {
      "id": "extr_9XkQw2NvR4pYtJ",
      "object": "extract",
      "workspace": null,
      "source": { "object": "legal.provision", "id": "lpv_7RmKw3QvT9pXsL" },
      "jurisdiction": { "country": "GB" },
      "quote": "not less than one week's notice",
      "language": "en",
      "url": "https://manage.plane.com/extracts/extr_9XkQw2NvR4pYtJ",
      "created": "2026-06-13T00:00:00Z",
      "updated": "2026-06-13T00:00:00Z"
    }
  ],
  "has_more": false
}